New package neomutt

classic Classic list List threaded Threaded
30 messages Options
12
Reply | Threaded
Open this post in threaded view
|

New package neomutt

Nicolas Bock-2
Hi,

I would like to add neomutt to the tree. This new package is meant
as an alternative and not a replacement of the existing mutt
package.

Thanks,

Nick

--
Nicolas Bock <[hidden email]>

0001-mail-client-neomutt-New-package-mail-client-neomutt-.patch (6K) Download Attachment
signature.asc (1000 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Nicolas Bock-2
On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
>Hi,
>
>I would like to add neomutt to the tree. This new package is meant as
>an alternative and not a replacement of the existing mutt package.

I should have inlined the patch. Sorry.



From 63f5d569aec514d67645b1c2e891e51810bb7ab5 Mon Sep 17 00:00:00 2001
From: Nicolas Bock <[hidden email]>
Date: Mon, 31 Jul 2017 09:06:07 +0200
Subject: [PATCH] mail-client/neomutt: New package mail-client/neomutt-20170714

Package-Manager: Portage-2.3.6, Repoman-2.3.1
---
 mail-client/neomutt/Manifest                |   1 +
 mail-client/neomutt/metadata.xml            |  24 +++++
 mail-client/neomutt/neomutt-20170714.ebuild | 161 ++++++++++++++++++++++++++++
 3 files changed, 186 insertions(+)
 create mode 100644 mail-client/neomutt/Manifest
 create mode 100644 mail-client/neomutt/metadata.xml
 create mode 100644 mail-client/neomutt/neomutt-20170714.ebuild

diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest
new file mode 100644
index 00000000000..2b38484e24d
--- /dev/null
+++ b/mail-client/neomutt/Manifest
@@ -0,0 +1 @@
+DIST neomutt-20170714.tar.gz 2509160 SHA256 40d48920f95ca49ab96eb109b658f5cf6e1c222320c58bdd03769c1355d7a383 SHA512 eb31d2f23b7211904cd66ba293c008f953778b37f13fd09d4db571d013f1c8e6449fccd827872f3ad0a2c8e62555f92b3f9591a1f0f4ac37ab362a4681abaaa0 WHIRLPOOL 455495501a2ab1989d5f3bfa75aa2370896956cdfd7d2e852e225c96aa23a1abdaf2dbb9d886d1d96486d19b2b38c225e8263f268ebafcef8cbd0024885189f3
diff --git a/mail-client/neomutt/metadata.xml b/mail-client/neomutt/metadata.xml
new file mode 100644
index 00000000000..081f253b3a1
--- /dev/null
+++ b/mail-client/neomutt/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[hidden email]</email>
+ <name>Nicolas Bock</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>[hidden email]</email>
+ <name>Net-Mail</name>
+ </maintainer>
+ <use>
+ <flag name="gpg">Enable support for <pkg>app-crypt/gpgme</pkg></flag>
+ <flag name="notmuch">Enable support for <pkg>net-mail/notmuch</pkg></flag>
+ <flag name="smime">Enable support for S/MIME</flag>
+ <flag name="tokyocabinet">Enable <pkg>dev-db/tokyocabinet</pkg>
+ database backend for header caching</flag>
+ </use>
+ <longdescription lang="en">
+ </longdescription>
+ <upstream>
+ <remote-id type="github">neomutt/neomutt</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/mail-client/neomutt/neomutt-20170714.ebuild b/mail-client/neomutt/neomutt-20170714.ebuild
new file mode 100644
index 00000000000..9bcf72e7479
--- /dev/null
+++ b/mail-client/neomutt/neomutt-20170714.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic
+
+DESCRIPTION="A small but very powerful text-based mail client"
+HOMEPAGE="https://www.neomutt.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="berkdb crypt debug doc gdbm gnutls gpg idn kerberos libressl mbox nls
+ notmuch qdbm sasl selinux slang smime ssl tokyocabinet vanilla"
+
+CDEPEND="
+ !mail-client/mutt
+ app-misc/mime-types
+ nls? ( virtual/libintl )
+ tokyocabinet?  ( dev-db/tokyocabinet )
+ !tokyocabinet? (
+ qdbm?  ( dev-db/qdbm )
+ !qdbm? (
+ gdbm?  ( sys-libs/gdbm )
+ !gdbm? ( berkdb? ( >=sys-libs/db-4:= ) )
+ )
+ )
+ gnutls?  ( >=net-libs/gnutls-1.0.17 )
+ !gnutls? (
+ ssl? (
+ !libressl? ( >=dev-libs/openssl-0.9.6:0 )
+ libressl? ( dev-libs/libressl )
+ )
+ )
+ sasl?    ( >=dev-libs/cyrus-sasl-2 )
+ kerberos? ( virtual/krb5 )
+ idn?     ( net-dns/libidn )
+ gpg?     ( >=app-crypt/gpgme-0.9.0 )
+ smime?   (
+ !libressl? ( >=dev-libs/openssl-0.9.6:0 )
+ libressl? ( dev-libs/libressl )
+ )
+ notmuch? ( net-mail/notmuch )
+ slang? ( sys-libs/slang )
+ !slang? ( >=sys-libs/ncurses-5.2:0 )
+"
+DEPEND="${CDEPEND}
+ net-mail/mailbase
+ doc? (
+ dev-libs/libxml2
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+ || ( www-client/lynx www-client/w3m www-client/elinks )
+ )"
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-mutt )
+"
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_prepare() {
+ eapply_user
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ "$(use_enable crypt pgp)"
+ "$(use_enable debug)"
+ "$(use_enable doc)"
+ "$(use_enable gpg gpgme)"
+ "$(use_enable nls)"
+ "$(use_enable smime)"
+ "$(use_enable notmuch)"
+ "$(use_with idn)"
+ "$(use_with kerberos gss)"
+ "--with-$(use slang && echo slang || echo curses)=${EPREFIX}/usr"
+ "--sysconfdir=${EPREFIX}/etc/${PN}"
+ "--with-docdir=${EPREFIX}/usr/share/doc/${PN}-${PVR}"
+ )
+
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ # arrows in index view do not show when using wchar_t
+ myconf+=( "--without-wc-funcs" )
+ fi
+
+ # mutt prioritizes gdbm over bdb, so we will too.
+ # hcache feature requires at least one database is in USE.
+ local hcaches=(
+ "tokyocabinet"
+ "qdbm"
+ "gdbm"
+ "berkdb:bdb"
+ )
+ local ucache hcache lcache
+ for hcache in "${hcaches[@]}" ; do
+ if use ${hcache%%:*} ; then
+ ucache=${hcache}
+ break
+ fi
+ done
+ for hcache in "${hcaches[@]}" ; do
+ [[ ${hcache} == ${ucache} ]] \
+ && myconf+=( "--with-${hcache#*:}" ) \
+ || myconf+=( "--without-${hcache#*:}" )
+ done
+
+ # there's no need for gnutls, ssl or sasl without socket support
+ if use gnutls; then
+ myconf+=( "--with-gnutls" )
+ elif use ssl; then
+ myconf+=( "--with-ssl" )
+ fi
+ # not sure if this should be mutually exclusive with the other two
+ myconf+=( "$(use_with sasl)" )
+
+ if use mbox; then
+ myconf+=( "--with-mailpath=${EPREFIX}/var/spool/mail" )
+ else
+ myconf+=( "--with-homespool=Maildir" )
+ fi
+
+ econf "${myconf[@]}" || die "configure failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+ if use mbox; then
+ insinto /etc/neomutt
+ newins "${FILESDIR}"/Muttrc.mbox Muttrc
+ else
+ insinto /etc/neomutt
+ doins "${FILESDIR}"/Muttrc
+ fi
+
+ # A newer file is provided by app-misc/mime-types. So we link it.
+ rm "${ED}"/etc/${PN}/mime.types
+ dosym /etc/mime.types /etc/${PN}/mime.types
+
+ # A man-page is always handy, so fake one
+ if use !doc; then
+ emake -C doc DESTDIR="${D}" muttrc.man || die
+ # make the fake slightly better, bug #413405
+ sed -e 's#@docdir@/manual.txt#http://www.mutt.org/doc/devel/manual.html#' \
+ -e 's#in @docdir@,#at http://www.mutt.org/,#' \
+ -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
+ -e "s#@bindir@#${EPREFIX}/usr/bin#" \
+ doc/mutt.man > mutt.1
+ cp doc/muttrc.man muttrc.5
+ doman mutt.1 muttrc.5
+ else
+ # nuke manpages that should be provided by an MTA, bug #177605
+ rm "${ED}"/usr/share/man/man5/{mbox,mmdf}.5 \
+ || ewarn "failed to remove files, please file a bug"
+ fi
+
+ dodoc COPYRIGHT ChangeLog.md OPS* README*
+}
--
2.13.0


--
Nicolas Bock <[hidden email]>

signature.asc (1000 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Michał Górny-5
In reply to this post by Nicolas Bock-2
Dnia 31 lipca 2017 09:11:19 CEST, Nicolas Bock <[hidden email]> napisał(a):
>Hi,
>
>I would like to add neomutt to the tree. This new package is meant
>as an alternative and not a replacement of the existing mutt
>package.

Aren't you looking for gentoo-proxy-maint ml?

>
>Thanks,
>
>Nick


--
Best regards,
Michał Górny (by phone)

Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Nicolas Bock-2
On Mon, Jul 31, 2017 at 09:44:55AM +0200, Michał Górny wrote:
>Dnia 31 lipca 2017 09:11:19 CEST, Nicolas Bock <[hidden email]> napisał(a):
>>Hi,
>>
>>I would like to add neomutt to the tree. This new package is meant
>>as an alternative and not a replacement of the existing mutt
>>package.
>
>Aren't you looking for gentoo-proxy-maint ml?

No, I was looking for comments on the package. I will maintain it
once I add it to the tree. I should have stated that more clearly.

Best,

Nick

--
Nicolas Bock <[hidden email]>

signature.asc (1000 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Patrice Clement
In reply to this post by Nicolas Bock-2
Hi Nicolas

See my comments inline.

Monday 31 Jul 2017 09:23:51, Nicolas Bock wrote :

> On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
> >Hi,
> >
> >I would like to add neomutt to the tree. This new package is meant as
> >an alternative and not a replacement of the existing mutt package.
>
> I should have inlined the patch. Sorry.
>
>
>
> From 63f5d569aec514d67645b1c2e891e51810bb7ab5 Mon Sep 17 00:00:00 2001
> From: Nicolas Bock <[hidden email]>
> Date: Mon, 31 Jul 2017 09:06:07 +0200
> Subject: [PATCH] mail-client/neomutt: New package mail-client/neomutt-20170714
>
> Package-Manager: Portage-2.3.6, Repoman-2.3.1
> ---
>  mail-client/neomutt/Manifest                |   1 +
>  mail-client/neomutt/metadata.xml            |  24 +++++
>  mail-client/neomutt/neomutt-20170714.ebuild | 161 ++++++++++++++++++++++++++++
>  3 files changed, 186 insertions(+)
>  create mode 100644 mail-client/neomutt/Manifest
>  create mode 100644 mail-client/neomutt/metadata.xml
>  create mode 100644 mail-client/neomutt/neomutt-20170714.ebuild
>
> diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest
> new file mode 100644
> index 00000000000..2b38484e24d
> --- /dev/null
> +++ b/mail-client/neomutt/Manifest
> @@ -0,0 +1 @@
> +DIST neomutt-20170714.tar.gz 2509160 SHA256 40d48920f95ca49ab96eb109b658f5cf6e1c222320c58bdd03769c1355d7a383 SHA512 eb31d2f23b7211904cd66ba293c008f953778b37f13fd09d4db571d013f1c8e6449fccd827872f3ad0a2c8e62555f92b3f9591a1f0f4ac37ab362a4681abaaa0 WHIRLPOOL 455495501a2ab1989d5f3bfa75aa2370896956cdfd7d2e852e225c96aa23a1abdaf2dbb9d886d1d96486d19b2b38c225e8263f268ebafcef8cbd0024885189f3
> diff --git a/mail-client/neomutt/metadata.xml b/mail-client/neomutt/metadata.xml
> new file mode 100644
> index 00000000000..081f253b3a1
> --- /dev/null
> +++ b/mail-client/neomutt/metadata.xml
> @@ -0,0 +1,24 @@
> +<?xml version="1.0" encoding="UTF-8"?>
> +<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
> +<pkgmetadata>
> + <maintainer type="person">
> + <email>[hidden email]</email>
> + <name>Nicolas Bock</name>
> + </maintainer>
> + <maintainer type="project">
> + <email>[hidden email]</email>
> + <name>Net-Mail</name>
> + </maintainer>
> + <use>
> + <flag name="gpg">Enable support for <pkg>app-crypt/gpgme</pkg></flag>
> + <flag name="notmuch">Enable support for <pkg>net-mail/notmuch</pkg></flag>
> + <flag name="smime">Enable support for S/MIME</flag>
> + <flag name="tokyocabinet">Enable <pkg>dev-db/tokyocabinet</pkg>
> + database backend for header caching</flag>
> + </use>
> + <longdescription lang="en">
> + </longdescription>
> + <upstream>
> + <remote-id type="github">neomutt/neomutt</remote-id>
> + </upstream>
> +</pkgmetadata>
> diff --git a/mail-client/neomutt/neomutt-20170714.ebuild b/mail-client/neomutt/neomutt-20170714.ebuild
> new file mode 100644
> index 00000000000..9bcf72e7479
> --- /dev/null
> +++ b/mail-client/neomutt/neomutt-20170714.ebuild
> @@ -0,0 +1,161 @@
> +# Copyright 1999-2017 Gentoo Foundation
> +# Distributed under the terms of the GNU General Public License v2
> +# $Id$
> +
> +EAPI=6
> +
> +inherit autotools eutils flag-o-matic
> +
> +DESCRIPTION="A small but very powerful text-based mail client"
> +HOMEPAGE="https://www.neomutt.org/"
> +SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
> +
> +LICENSE="GPL-2"
> +SLOT="0"
> +KEYWORDS="~amd64 ~x86"
> +IUSE="berkdb crypt debug doc gdbm gnutls gpg idn kerberos libressl mbox nls
> + notmuch qdbm sasl selinux slang smime ssl tokyocabinet vanilla"
> +
> +CDEPEND="
> + !mail-client/mutt
> + app-misc/mime-types
> + nls? ( virtual/libintl )
> + tokyocabinet?  ( dev-db/tokyocabinet )
> + !tokyocabinet? (
> + qdbm?  ( dev-db/qdbm )
> + !qdbm? (
> + gdbm?  ( sys-libs/gdbm )
> + !gdbm? ( berkdb? ( >=sys-libs/db-4:= ) )
> + )
> + )
> + gnutls?  ( >=net-libs/gnutls-1.0.17 )
> + !gnutls? (
> + ssl? (
> + !libressl? ( >=dev-libs/openssl-0.9.6:0 )
> + libressl? ( dev-libs/libressl )
> + )
> + )
> + sasl?    ( >=dev-libs/cyrus-sasl-2 )
> + kerberos? ( virtual/krb5 )
> + idn?     ( net-dns/libidn )
> + gpg?     ( >=app-crypt/gpgme-0.9.0 )
> + smime?   (
> + !libressl? ( >=dev-libs/openssl-0.9.6:0 )
> + libressl? ( dev-libs/libressl )
> + )
> + notmuch? ( net-mail/notmuch )
> + slang? ( sys-libs/slang )
> + !slang? ( >=sys-libs/ncurses-5.2:0 )
> +"
> +DEPEND="${CDEPEND}
> + net-mail/mailbase
> + doc? (
> + dev-libs/libxml2
> + dev-libs/libxslt
> + app-text/docbook-xsl-stylesheets
> + || ( www-client/lynx www-client/w3m www-client/elinks )
> + )"
> +RDEPEND="${CDEPEND}
> + selinux? ( sec-policy/selinux-mutt )
> +"
> +
> +S="${WORKDIR}/${PN}-${P}"
> +
> +src_prepare() {
> + eapply_user
> + eautoreconf
> +}
> +
> +src_configure() {
> + local myconf=(
> + "$(use_enable crypt pgp)"
> + "$(use_enable debug)"
> + "$(use_enable doc)"
> + "$(use_enable gpg gpgme)"
> + "$(use_enable nls)"
> + "$(use_enable smime)"
> + "$(use_enable notmuch)"
> + "$(use_with idn)"
> + "$(use_with kerberos gss)"
> + "--with-$(use slang && echo slang || echo curses)=${EPREFIX}/usr"
> + "--sysconfdir=${EPREFIX}/etc/${PN}"
> + "--with-docdir=${EPREFIX}/usr/share/doc/${PN}-${PVR}"
> + )
> +
> + if [[ ${CHOST} == *-solaris* ]] ; then
> + # arrows in index view do not show when using wchar_t
> + myconf+=( "--without-wc-funcs" )
> + fi
> +
> + # mutt prioritizes gdbm over bdb, so we will too.
> + # hcache feature requires at least one database is in USE.
> + local hcaches=(
> + "tokyocabinet"
> + "qdbm"
> + "gdbm"
> + "berkdb:bdb"
> + )
> + local ucache hcache lcache
> + for hcache in "${hcaches[@]}" ; do
> + if use ${hcache%%:*} ; then
> + ucache=${hcache}
> + break
> + fi
> + done
> + for hcache in "${hcaches[@]}" ; do
> + [[ ${hcache} == ${ucache} ]] \
> + && myconf+=( "--with-${hcache#*:}" ) \
> + || myconf+=( "--without-${hcache#*:}" )
> + done
Can you simplify this code a little?

> +
> + # there's no need for gnutls, ssl or sasl without socket support
> + if use gnutls; then
> + myconf+=( "--with-gnutls" )
> + elif use ssl; then
> + myconf+=( "--with-ssl" )
> + fi
> + # not sure if this should be mutually exclusive with the other two
> + myconf+=( "$(use_with sasl)" )
> +
> + if use mbox; then
> + myconf+=( "--with-mailpath=${EPREFIX}/var/spool/mail" )
> + else
> + myconf+=( "--with-homespool=Maildir" )
> + fi
> +
> + econf "${myconf[@]}" || die "configure failed"
econf dies on its own, please nix || die.

> +}
> +
> +src_install() {
> + emake DESTDIR="${D}" install || die "install failed"
> + if use mbox; then
> + insinto /etc/neomutt
> + newins "${FILESDIR}"/Muttrc.mbox Muttrc
> + else
> + insinto /etc/neomutt
> + doins "${FILESDIR}"/Muttrc
> + fi
> +
> + # A newer file is provided by app-misc/mime-types. So we link it.
> + rm "${ED}"/etc/${PN}/mime.types
Please append || die here.

> + dosym /etc/mime.types /etc/${PN}/mime.types
> +
> + # A man-page is always handy, so fake one
> + if use !doc; then
> + emake -C doc DESTDIR="${D}" muttrc.man || die
emake dies on its own.

> + # make the fake slightly better, bug #413405
> + sed -e 's#@docdir@/manual.txt#http://www.mutt.org/doc/devel/manual.html#' \
> + -e 's#in @docdir@,#at http://www.mutt.org/,#' \
> + -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
> + -e "s#@bindir@#${EPREFIX}/usr/bin#" \
> + doc/mutt.man > mutt.1
Ditto, append || die here as well.

> + cp doc/muttrc.man muttrc.5
Ditto.

> + doman mutt.1 muttrc.5
> + else
> + # nuke manpages that should be provided by an MTA, bug #177605
> + rm "${ED}"/usr/share/man/man5/{mbox,mmdf}.5 \
> + || ewarn "failed to remove files, please file a bug"
> + fi
> +
> + dodoc COPYRIGHT ChangeLog.md OPS* README*
> +}
> --
> 2.13.0
>
>
> --
> Nicolas Bock <[hidden email]>


--
Patrice Clement
Gentoo Linux developer
http://www.gentoo.org

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Matthew Thode (prometheanfire)
In reply to this post by Nicolas Bock-2
On 17-07-31 09:11:19, Nicolas Bock wrote:

> Hi,
>
> I would like to add neomutt to the tree. This new package is meant
> as an alternative and not a replacement of the existing mutt
> package.
>
> Thanks,
>
> Nick
>
> --
> Nicolas Bock <[hidden email]>
It was my understanding that neomutt was mainly mutt with a bunch of
patches added on, from what I can see, those patches are already handled
by use flags in the mutt package itself.

https://www.neomutt.org/about.html describes itself as a large set of
feature patches and not a fork as well.  Are there missing patches that
need to be added to the mutt package?

--
Matthew Thode (prometheanfire)

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Fabian Groffen-2
On 31-07-2017 04:55:58 -0500, Matthew Thode wrote:

> On 17-07-31 09:11:19, Nicolas Bock wrote:
> > Hi,
> >
> > I would like to add neomutt to the tree. This new package is meant
> > as an alternative and not a replacement of the existing mutt
> > package.
> >
> > Thanks,
> >
> > Nick
> >
> > --
> > Nicolas Bock <[hidden email]>
>
> It was my understanding that neomutt was mainly mutt with a bunch of
> patches added on, from what I can see, those patches are already handled
> by use flags in the mutt package itself.
>
> https://www.neomutt.org/about.html describes itself as a large set of
> feature patches and not a fork as well.  Are there missing patches that
> need to be added to the mutt package?
These days NeoMutt really is a fork, with a complete code-re-indent,
function name changes, etc.[1]  They move fast, deviating from Mutt and
no longer submit patches to Mutt.  It remains to be seen where both
projects end up, IMO.  It is no longer feasible to add features from
NeoMutt to Mutt, and Mutt moves along its own path (with
features/improvements) as well.

For now it seems useful to me to have both mutt and neomutt around.  I
sent my detailed comments on the neomutt ebuild to Nicholas off-list
already.  The changes suggested should show even more how the two are
different.

Thanks,
Fabian

[1] http://mailman.neomutt.org/pipermail/neomutt-devel-neomutt.org/2017-April/000364.html

--
Fabian Groffen
Gentoo on a different level

signature.asc (201 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Floyd Anderson-2
In reply to this post by Nicolas Bock-2
Hi Nicolas,

below just some remarks from me.

On Mo, 31 Jul 09:23:51 +0200
Nicolas Bock <[hidden email]> wrote:
>On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
>>Hi,
>>
>>I would like to add neomutt to the tree. This new package is meant
>>as an alternative and not a replacement of the existing mutt
>>package.

+1 Very nice idea, I appreciate that.

>From 63f5d569aec514d67645b1c2e891e51810bb7ab5 Mon Sep 17 00:00:00 2001
>From: Nicolas Bock <[hidden email]>
>Date: Mon, 31 Jul 2017 09:06:07 +0200
>Subject: [PATCH] mail-client/neomutt: New package mail-client/neomutt-20170714
>
>Package-Manager: Portage-2.3.6, Repoman-2.3.1
>---
>mail-client/neomutt/Manifest                |   1 +
>mail-client/neomutt/metadata.xml            |  24 +++++
>mail-client/neomutt/neomutt-20170714.ebuild | 161 ++++++++++++++++++++++++++++
>3 files changed, 186 insertions(+)
>create mode 100644 mail-client/neomutt/Manifest
>create mode 100644 mail-client/neomutt/metadata.xml
>create mode 100644 mail-client/neomutt/neomutt-20170714.ebuild
>
>diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest

[…]

>diff --git a/mail-client/neomutt/metadata.xml b/mail-client/neomutt/metadata.xml

[…]

>diff --git a/mail-client/neomutt/neomutt-20170714.ebuild b/mail-client/neomutt/neomutt-20170714.ebuild
>new file mode 100644
>index 00000000000..9bcf72e7479
>--- /dev/null
>+++ b/mail-client/neomutt/neomutt-20170714.ebuild
>@@ -0,0 +1,161 @@
>+# Copyright 1999-2017 Gentoo Foundation
>+# Distributed under the terms of the GNU General Public License v2
>+# $Id$

Drop $Id$ per council decision in bug #611234.

[1] <https://bugs.gentoo.org/show_bug.cgi?id=611234>

>+
>+EAPI=6
>+
>+inherit autotools eutils flag-o-matic
>+
>+DESCRIPTION="A small but very powerful text-based mail client"

Why not assimilate upstream (NeoMutt) motto? Mutt upstream has no objects on
this, see [2].

[2] <https://github.com/neomutt/neomutt/issues?utf8=%E2%9C%93&q=motto>

>+HOMEPAGE="https://www.neomutt.org/"
>+SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
>+
>+LICENSE="GPL-2"
>+SLOT="0"
>+KEYWORDS="~amd64 ~x86"
>+IUSE="berkdb crypt debug doc gdbm gnutls gpg idn kerberos libressl mbox nls
>+ notmuch qdbm sasl selinux slang smime ssl tokyocabinet vanilla"
>+

[…]

>+
>+src_install() {
>+ emake DESTDIR="${D}" install || die "install failed"
>+ if use mbox; then
>+ insinto /etc/neomutt
>+ newins "${FILESDIR}"/Muttrc.mbox Muttrc
>+ else
>+ insinto /etc/neomutt
>+ doins "${FILESDIR}"/Muttrc
>+ fi
>+
>+ # A newer file is provided by app-misc/mime-types. So we link it.
>+ rm "${ED}"/etc/${PN}/mime.types
>+ dosym /etc/mime.types /etc/${PN}/mime.types
>+
>+ # A man-page is always handy, so fake one
>+ if use !doc; then
>+ emake -C doc DESTDIR="${D}" muttrc.man || die
>+ # make the fake slightly better, bug #413405
>+ sed -e 's#@docdir@/manual.txt#http://www.mutt.org/doc/devel/manual.html#' \
>+ -e 's#in @docdir@,#at http://www.mutt.org/,#' \
>+ -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
>+ -e "s#@bindir@#${EPREFIX}/usr/bin#" \
>+ doc/mutt.man > mutt.1
>+ cp doc/muttrc.man muttrc.5
>+ doman mutt.1 muttrc.5
>+ else
>+ # nuke manpages that should be provided by an MTA, bug #177605
>+ rm "${ED}"/usr/share/man/man5/{mbox,mmdf}.5 \
>+ || ewarn "failed to remove files, please file a bug"
>+ fi
The *devel* manual is located here [3] and release manual here [4].

[3] <https://dev.mutt.org/doc/manual.html>
[4] <http://www.mutt.org/doc/manual/>

>+
>+ dodoc COPYRIGHT ChangeLog.md OPS* README*
>+}
>--
>2.13.0
>
>
>--
>Nicolas Bock <[hidden email]>

In the end it would be nice if Lua would also be integrated.

In the case you haven’t noticed that, have a look at [5]. But note the link [6]
for the faked manual page is dead if you consider to use this one. Also it
seems the documentation will be restructured in the future [7][8].

[5] <https://github.com/neomutt/gentoo-neomutt/tree/master/mail-client/neomutt>
[6] <http://www.neomutt.org/doc/devel/manual.html>
[7] <http://mailman.neomutt.org/pipermail/neomutt-devel-neomutt.org/2017-June/000438.html>
[8] <http://mailman.neomutt.org/pipermail/neomutt-devel-neomutt.org/2017-June/000467.html>

--
Regards,
floyd


Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Matthew Marchese
In reply to this post by Fabian Groffen-2
On 07/31/2017 03:52 AM, Fabian Groffen wrote:

> On 31-07-2017 04:55:58 -0500, Matthew Thode wrote:
>> On 17-07-31 09:11:19, Nicolas Bock wrote:
>>> Hi,
>>>
>>> I would like to add neomutt to the tree. This new package is meant
>>> as an alternative and not a replacement of the existing mutt
>>> package.
>>>
>>> Thanks,
>>>
>>> Nick
>>>
>>> --
>>> Nicolas Bock <[hidden email]>
>>
>> It was my understanding that neomutt was mainly mutt with a bunch of
>> patches added on, from what I can see, those patches are already handled
>> by use flags in the mutt package itself.
>>
>> https://www.neomutt.org/about.html describes itself as a large set of
>> feature patches and not a fork as well.  Are there missing patches that
>> need to be added to the mutt package?
>
> These days NeoMutt really is a fork, with a complete code-re-indent,
> function name changes, etc.[1]  They move fast, deviating from Mutt and
> no longer submit patches to Mutt.  It remains to be seen where both
> projects end up, IMO.  It is no longer feasible to add features from
> NeoMutt to Mutt, and Mutt moves along its own path (with
> features/improvements) as well.
>
> For now it seems useful to me to have both mutt and neomutt around.  I
> sent my detailed comments on the neomutt ebuild to Nicholas off-list
> already.  The changes suggested should show even more how the two are
> different.
>
> Thanks,
> Fabian
>
> [1] http://mailman.neomutt.org/pipermail/neomutt-devel-neomutt.org/2017-April/000364.html
>
I second Fabians input here. Two packages are necessary.


signature.asc (883 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Nicolas Bock-2
In reply to this post by Floyd Anderson-2
On Mon, Jul 31, 2017 at 02:15:16PM +0200, Floyd Anderson wrote:

>Hi Nicolas,
>
>below just some remarks from me.
>
>On Mo, 31 Jul 09:23:51 +0200
>Nicolas Bock <[hidden email]> wrote:
>>On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
>>>Hi,
>>>
>>>I would like to add neomutt to the tree. This new package is meant
>>>as an alternative and not a replacement of the existing mutt
>>>package.
>
>+1 Very nice idea, I appreciate that.
>
>>From 63f5d569aec514d67645b1c2e891e51810bb7ab5 Mon Sep 17 00:00:00 2001
>>From: Nicolas Bock <[hidden email]>
>>Date: Mon, 31 Jul 2017 09:06:07 +0200
>>Subject: [PATCH] mail-client/neomutt: New package mail-client/neomutt-20170714
>>
>>Package-Manager: Portage-2.3.6, Repoman-2.3.1
>>---
>>mail-client/neomutt/Manifest                |   1 +
>>mail-client/neomutt/metadata.xml            |  24 +++++
>>mail-client/neomutt/neomutt-20170714.ebuild | 161 ++++++++++++++++++++++++++++
>>3 files changed, 186 insertions(+)
>>create mode 100644 mail-client/neomutt/Manifest
>>create mode 100644 mail-client/neomutt/metadata.xml
>>create mode 100644 mail-client/neomutt/neomutt-20170714.ebuild
>>
>>diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest
>
>[…]
>
>>diff --git a/mail-client/neomutt/metadata.xml b/mail-client/neomutt/metadata.xml
>
>[…]
>
>>diff --git a/mail-client/neomutt/neomutt-20170714.ebuild b/mail-client/neomutt/neomutt-20170714.ebuild
>>new file mode 100644
>>index 00000000000..9bcf72e7479
>>--- /dev/null
>>+++ b/mail-client/neomutt/neomutt-20170714.ebuild
>>@@ -0,0 +1,161 @@
>>+# Copyright 1999-2017 Gentoo Foundation
>>+# Distributed under the terms of the GNU General Public License v2
>>+# $Id$
>
>Drop $Id$ per council decision in bug #611234.
>
>[1] <https://bugs.gentoo.org/show_bug.cgi?id=611234>
Fixed.

>>+
>>+EAPI=6
>>+
>>+inherit autotools eutils flag-o-matic
>>+
>>+DESCRIPTION="A small but very powerful text-based mail client"
>
>Why not assimilate upstream (NeoMutt) motto? Mutt upstream has no objects on
>this, see [2].
>
>[2] <https://github.com/neomutt/neomutt/issues?utf8=%E2%9C%93&q=motto>
I'll change it. The new motto is pretty funny :)

>>+HOMEPAGE="https://www.neomutt.org/"
>>+SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
>>+
>>+LICENSE="GPL-2"
>>+SLOT="0"
>>+KEYWORDS="~amd64 ~x86"
>>+IUSE="berkdb crypt debug doc gdbm gnutls gpg idn kerberos libressl mbox nls
>>+ notmuch qdbm sasl selinux slang smime ssl tokyocabinet vanilla"
>>+
>
>[…]
>
>>+
>>+src_install() {
>>+ emake DESTDIR="${D}" install || die "install failed"
>>+ if use mbox; then
>>+ insinto /etc/neomutt
>>+ newins "${FILESDIR}"/Muttrc.mbox Muttrc
>>+ else
>>+ insinto /etc/neomutt
>>+ doins "${FILESDIR}"/Muttrc
>>+ fi
>>+
>>+ # A newer file is provided by app-misc/mime-types. So we link it.
>>+ rm "${ED}"/etc/${PN}/mime.types
>>+ dosym /etc/mime.types /etc/${PN}/mime.types
>>+
>>+ # A man-page is always handy, so fake one
>>+ if use !doc; then
>>+ emake -C doc DESTDIR="${D}" muttrc.man || die
>>+ # make the fake slightly better, bug #413405
>>+ sed -e 's#@docdir@/manual.txt#http://www.mutt.org/doc/devel/manual.html#' \
>>+ -e 's#in @docdir@,#at http://www.mutt.org/,#' \
>>+ -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
>>+ -e "s#@bindir@#${EPREFIX}/usr/bin#" \
>>+ doc/mutt.man > mutt.1
>>+ cp doc/muttrc.man muttrc.5
>>+ doman mutt.1 muttrc.5
>>+ else
>>+ # nuke manpages that should be provided by an MTA, bug #177605
>>+ rm "${ED}"/usr/share/man/man5/{mbox,mmdf}.5 \
>>+ || ewarn "failed to remove files, please file a bug"
>>+ fi
>The *devel* manual is located here [3] and release manual here [4].
>
>[3] <https://dev.mutt.org/doc/manual.html>
>[4] <http://www.mutt.org/doc/manual/>
Fixed.

>>+
>>+ dodoc COPYRIGHT ChangeLog.md OPS* README*
>>+}
>>--
>>2.13.0
>>
>>
>>--
>>Nicolas Bock <[hidden email]>
>
>In the end it would be nice if Lua would also be integrated.
I'll have a look at it.

>In the case you haven’t noticed that, have a look at [5]. But note the link [6]
>for the faked manual page is dead if you consider to use this one. Also it
>seems the documentation will be restructured in the future [7][8].

Thanks!
--
Nicolas Bock <[hidden email]>

signature.asc (1000 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Nicolas Bock-2
In reply to this post by Patrice Clement
On Mon, Jul 31, 2017 at 10:34:53AM +0200, Patrice Clement wrote:

>Hi Nicolas
>
>See my comments inline.
>
>Monday 31 Jul 2017 09:23:51, Nicolas Bock wrote :
>> On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
>> >Hi,
>> >
>> >I would like to add neomutt to the tree. This new package is meant as
>> >an alternative and not a replacement of the existing mutt package.
>>
>> I should have inlined the patch. Sorry.
>>
>>
>>
>> From 63f5d569aec514d67645b1c2e891e51810bb7ab5 Mon Sep 17 00:00:00 2001
>> From: Nicolas Bock <[hidden email]>
>> Date: Mon, 31 Jul 2017 09:06:07 +0200
>> Subject: [PATCH] mail-client/neomutt: New package mail-client/neomutt-20170714
>>
>> Package-Manager: Portage-2.3.6, Repoman-2.3.1
>> ---
>>  mail-client/neomutt/Manifest                |   1 +
>>  mail-client/neomutt/metadata.xml            |  24 +++++
>>  mail-client/neomutt/neomutt-20170714.ebuild | 161 ++++++++++++++++++++++++++++
>>  3 files changed, 186 insertions(+)
>>  create mode 100644 mail-client/neomutt/Manifest
>>  create mode 100644 mail-client/neomutt/metadata.xml
>>  create mode 100644 mail-client/neomutt/neomutt-20170714.ebuild
>>
>> diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest
>> new file mode 100644
>> index 00000000000..2b38484e24d
>> --- /dev/null
>> +++ b/mail-client/neomutt/Manifest
>> @@ -0,0 +1 @@
>> +DIST neomutt-20170714.tar.gz 2509160 SHA256 40d48920f95ca49ab96eb109b658f5cf6e1c222320c58bdd03769c1355d7a383 SHA512 eb31d2f23b7211904cd66ba293c008f953778b37f13fd09d4db571d013f1c8e6449fccd827872f3ad0a2c8e62555f92b3f9591a1f0f4ac37ab362a4681abaaa0 WHIRLPOOL 455495501a2ab1989d5f3bfa75aa2370896956cdfd7d2e852e225c96aa23a1abdaf2dbb9d886d1d96486d19b2b38c225e8263f268ebafcef8cbd0024885189f3
>> diff --git a/mail-client/neomutt/metadata.xml b/mail-client/neomutt/metadata.xml
>> new file mode 100644
>> index 00000000000..081f253b3a1
>> --- /dev/null
>> +++ b/mail-client/neomutt/metadata.xml
>> @@ -0,0 +1,24 @@
>> +<?xml version="1.0" encoding="UTF-8"?>
>> +<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
>> +<pkgmetadata>
>> + <maintainer type="person">
>> + <email>[hidden email]</email>
>> + <name>Nicolas Bock</name>
>> + </maintainer>
>> + <maintainer type="project">
>> + <email>[hidden email]</email>
>> + <name>Net-Mail</name>
>> + </maintainer>
>> + <use>
>> + <flag name="gpg">Enable support for <pkg>app-crypt/gpgme</pkg></flag>
>> + <flag name="notmuch">Enable support for <pkg>net-mail/notmuch</pkg></flag>
>> + <flag name="smime">Enable support for S/MIME</flag>
>> + <flag name="tokyocabinet">Enable <pkg>dev-db/tokyocabinet</pkg>
>> + database backend for header caching</flag>
>> + </use>
>> + <longdescription lang="en">
>> + </longdescription>
>> + <upstream>
>> + <remote-id type="github">neomutt/neomutt</remote-id>
>> + </upstream>
>> +</pkgmetadata>
>> diff --git a/mail-client/neomutt/neomutt-20170714.ebuild b/mail-client/neomutt/neomutt-20170714.ebuild
>> new file mode 100644
>> index 00000000000..9bcf72e7479
>> --- /dev/null
>> +++ b/mail-client/neomutt/neomutt-20170714.ebuild
>> @@ -0,0 +1,161 @@
>> +# Copyright 1999-2017 Gentoo Foundation
>> +# Distributed under the terms of the GNU General Public License v2
>> +# $Id$
>> +
>> +EAPI=6
>> +
>> +inherit autotools eutils flag-o-matic
>> +
>> +DESCRIPTION="A small but very powerful text-based mail client"
>> +HOMEPAGE="https://www.neomutt.org/"
>> +SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
>> +
>> +LICENSE="GPL-2"
>> +SLOT="0"
>> +KEYWORDS="~amd64 ~x86"
>> +IUSE="berkdb crypt debug doc gdbm gnutls gpg idn kerberos libressl mbox nls
>> + notmuch qdbm sasl selinux slang smime ssl tokyocabinet vanilla"
>> +
>> +CDEPEND="
>> + !mail-client/mutt
>> + app-misc/mime-types
>> + nls? ( virtual/libintl )
>> + tokyocabinet?  ( dev-db/tokyocabinet )
>> + !tokyocabinet? (
>> + qdbm?  ( dev-db/qdbm )
>> + !qdbm? (
>> + gdbm?  ( sys-libs/gdbm )
>> + !gdbm? ( berkdb? ( >=sys-libs/db-4:= ) )
>> + )
>> + )
>> + gnutls?  ( >=net-libs/gnutls-1.0.17 )
>> + !gnutls? (
>> + ssl? (
>> + !libressl? ( >=dev-libs/openssl-0.9.6:0 )
>> + libressl? ( dev-libs/libressl )
>> + )
>> + )
>> + sasl?    ( >=dev-libs/cyrus-sasl-2 )
>> + kerberos? ( virtual/krb5 )
>> + idn?     ( net-dns/libidn )
>> + gpg?     ( >=app-crypt/gpgme-0.9.0 )
>> + smime?   (
>> + !libressl? ( >=dev-libs/openssl-0.9.6:0 )
>> + libressl? ( dev-libs/libressl )
>> + )
>> + notmuch? ( net-mail/notmuch )
>> + slang? ( sys-libs/slang )
>> + !slang? ( >=sys-libs/ncurses-5.2:0 )
>> +"
>> +DEPEND="${CDEPEND}
>> + net-mail/mailbase
>> + doc? (
>> + dev-libs/libxml2
>> + dev-libs/libxslt
>> + app-text/docbook-xsl-stylesheets
>> + || ( www-client/lynx www-client/w3m www-client/elinks )
>> + )"
>> +RDEPEND="${CDEPEND}
>> + selinux? ( sec-policy/selinux-mutt )
>> +"
>> +
>> +S="${WORKDIR}/${PN}-${P}"
>> +
>> +src_prepare() {
>> + eapply_user
>> + eautoreconf
>> +}
>> +
>> +src_configure() {
>> + local myconf=(
>> + "$(use_enable crypt pgp)"
>> + "$(use_enable debug)"
>> + "$(use_enable doc)"
>> + "$(use_enable gpg gpgme)"
>> + "$(use_enable nls)"
>> + "$(use_enable smime)"
>> + "$(use_enable notmuch)"
>> + "$(use_with idn)"
>> + "$(use_with kerberos gss)"
>> + "--with-$(use slang && echo slang || echo curses)=${EPREFIX}/usr"
>> + "--sysconfdir=${EPREFIX}/etc/${PN}"
>> + "--with-docdir=${EPREFIX}/usr/share/doc/${PN}-${PVR}"
>> + )
>> +
>> + if [[ ${CHOST} == *-solaris* ]] ; then
>> + # arrows in index view do not show when using wchar_t
>> + myconf+=( "--without-wc-funcs" )
>> + fi
>> +
>> + # mutt prioritizes gdbm over bdb, so we will too.
>> + # hcache feature requires at least one database is in USE.
>> + local hcaches=(
>> + "tokyocabinet"
>> + "qdbm"
>> + "gdbm"
>> + "berkdb:bdb"
>> + )
>> + local ucache hcache lcache
>> + for hcache in "${hcaches[@]}" ; do
>> + if use ${hcache%%:*} ; then
>> + ucache=${hcache}
>> + break
>> + fi
>> + done
>> + for hcache in "${hcaches[@]}" ; do
>> + [[ ${hcache} == ${ucache} ]] \
>> + && myconf+=( "--with-${hcache#*:}" ) \
>> + || myconf+=( "--without-${hcache#*:}" )
>> + done
>Can you simplify this code a little?
Fixed.

>> +
>> + # there's no need for gnutls, ssl or sasl without socket support
>> + if use gnutls; then
>> + myconf+=( "--with-gnutls" )
>> + elif use ssl; then
>> + myconf+=( "--with-ssl" )
>> + fi
>> + # not sure if this should be mutually exclusive with the other two
>> + myconf+=( "$(use_with sasl)" )
>> +
>> + if use mbox; then
>> + myconf+=( "--with-mailpath=${EPREFIX}/var/spool/mail" )
>> + else
>> + myconf+=( "--with-homespool=Maildir" )
>> + fi
>> +
>> + econf "${myconf[@]}" || die "configure failed"
>econf dies on its own, please nix || die.
Fixed.

>> +}
>> +
>> +src_install() {
>> + emake DESTDIR="${D}" install || die "install failed"
>> + if use mbox; then
>> + insinto /etc/neomutt
>> + newins "${FILESDIR}"/Muttrc.mbox Muttrc
>> + else
>> + insinto /etc/neomutt
>> + doins "${FILESDIR}"/Muttrc
>> + fi
>> +
>> + # A newer file is provided by app-misc/mime-types. So we link it.
>> + rm "${ED}"/etc/${PN}/mime.types
>Please append || die here.
Fixed.

>> + dosym /etc/mime.types /etc/${PN}/mime.types
>> +
>> + # A man-page is always handy, so fake one
>> + if use !doc; then
>> + emake -C doc DESTDIR="${D}" muttrc.man || die
>emake dies on its own.

Fixed.

>> + # make the fake slightly better, bug #413405
>> + sed -e 's#@docdir@/manual.txt#http://www.mutt.org/doc/devel/manual.html#' \
>> + -e 's#in @docdir@,#at http://www.mutt.org/,#' \
>> + -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
>> + -e "s#@bindir@#${EPREFIX}/usr/bin#" \
>> + doc/mutt.man > mutt.1
>Ditto, append || die here as well.

Fixed.

>> + cp doc/muttrc.man muttrc.5
>Ditto.

Fixed.

>> + doman mutt.1 muttrc.5
>> + else
>> + # nuke manpages that should be provided by an MTA, bug #177605
>> + rm "${ED}"/usr/share/man/man5/{mbox,mmdf}.5 \
>> + || ewarn "failed to remove files, please file a bug"
>> + fi
>> +
>> + dodoc COPYRIGHT ChangeLog.md OPS* README*
>> +}
>> --
>> 2.13.0
>>
>>
>> --
>> Nicolas Bock <[hidden email]>
>
>
>
>--
>Patrice Clement
>Gentoo Linux developer
>http://www.gentoo.org


--
Nicolas Bock <[hidden email]>

signature.asc (1000 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Nicolas Bock-2
In reply to this post by Nicolas Bock-2
On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
>Hi,
>
>I would like to add neomutt to the tree. This new package is meant as
>an alternative and not a replacement of the existing mutt package.

Thanks for all of the great suggestions and feedback!

This is round two. I have update the ebuild with all your
suggestions. I have also added support for eselecting between mutt
and neomutt. Before the eselect ebuild can land though, we need to
rename the mutt binary so that the managed link can be called
mutt.


# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit autotools eutils flag-o-matic

if [[ ${PV} == 99999999 ]] ; then
        # live ebuild
        inherit git-r3
        EGIT_REPO_URI="https://github.com/neomutt/neomutt.git"
        EGIT_CHECKOUT_DIR="${WORKDIR}/neomutt-${P}"
        KEYWORDS=""
else
        SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
        KEYWORDS="~amd64 ~x86"
fi

DESCRIPTION="Teaching an Old Dog New Tricks"
HOMEPAGE="https://www.neomutt.org/"

LICENSE="GPL-2"
SLOT="0"
IUSE="berkdb crypt debug doc gdbm gnutls gpg idn kerberos libressl mbox
        nls notmuch qdbm sasl selinux slang smime ssl tokyocabinet kyotocabinet
        lmdb"

CDEPEND="
        app-eselect/eselect-mutt
        app-misc/mime-types
        nls? ( virtual/libintl )
        tokyocabinet?  ( dev-db/tokyocabinet )
        qdbm?  ( dev-db/qdbm )
        gdbm?  ( sys-libs/gdbm )
        berkdb? ( >=sys-libs/db-4:= )
        kyotocabinet? ( dev-db/kyotocabinet )
        lmdb? ( dev-db/lmdb )
        gnutls?  ( >=net-libs/gnutls-1.0.17 )
        !gnutls? (
                ssl? (
                        !libressl? ( >=dev-libs/openssl-0.9.6:0 )
                        libressl? ( dev-libs/libressl )
                )
        )
        sasl?    ( >=dev-libs/cyrus-sasl-2 )
        kerberos? ( virtual/krb5 )
        idn?     ( net-dns/libidn )
        gpg?     ( >=app-crypt/gpgme-0.9.0 )
        smime?   (
                !libressl? ( >=dev-libs/openssl-0.9.6:0 )
                libressl? ( dev-libs/libressl )
        )
        notmuch? ( net-mail/notmuch )
        slang? ( sys-libs/slang )
        !slang? ( >=sys-libs/ncurses-5.2:0 )
"
DEPEND="${CDEPEND}
        net-mail/mailbase
        doc? (
                dev-libs/libxml2
                dev-libs/libxslt
                app-text/docbook-xsl-stylesheets
                || ( www-client/lynx www-client/w3m www-client/elinks )
        )"
RDEPEND="${CDEPEND}
        selinux? ( sec-policy/selinux-mutt )
"

S="${WORKDIR}/${PN}-${P}"

src_prepare() {
        eapply "${FILESDIR}/0001-Rename-mutt-to-neomutt.patch"
        eapply_user
        AT_M4DIR="m4" eautoreconf
}

src_configure() {
        local myconf=(
                "$(use_enable crypt pgp)"
                "$(use_enable debug)"
                "$(use_enable doc)"
                "$(use_enable gpg gpgme)"
                "$(use_enable nls)"
                "$(use_enable smime)"
                "$(use_enable notmuch)"
                "$(use_with idn)"
                "$(use_with kerberos gss)"
                "$(use_with sasl)"
                "$(use_with tokyocabinet)"
                "$(use_with kyotocabinet)"
                "$(use_with qdbm)"
                "$(use_with gdbm)"
                "$(use_with berkdb bdb)"
                "$(use_with lmdb)"
                "--with-$(use slang && echo slang || echo curses)=${EPREFIX}/usr"
                "--sysconfdir=${EPREFIX}/etc/${PN}"
                "--with-docdir=${EPREFIX}/usr/share/doc/${PN}-${PVR}"
        )

        if [[ ${CHOST} == *-solaris* ]] ; then
                # arrows in index view do not show when using wchar_t
                myconf+=( "--without-wc-funcs" )
        fi

        # there's no need for gnutls, ssl or sasl without socket support
        if use gnutls; then
                myconf+=( "--with-gnutls" )
        elif use ssl; then
                myconf+=( "--with-ssl" )
        fi

        if use mbox; then
                myconf+=( "--with-mailpath=${EPREFIX}/var/spool/mail" )
        else
                myconf+=( "--with-homespool=Maildir" )
        fi

        econf "${myconf[@]}"
}

src_install() {
        emake DESTDIR="${D}" install
        if use mbox; then
                insinto /etc/${PN}
                newins "${FILESDIR}"/Muttrc.mbox Muttrc
        else
                insinto /etc/${PN}
                doins "${FILESDIR}"/Muttrc
        fi

        # A newer file is provided by app-misc/mime-types. So we link it.
        rm "${ED}"/etc/${PN}/mime.types || die
        dosym /etc/mime.types /etc/${PN}/mime.types

        # A man-page is always handy, so fake one
        if use !doc; then
                emake -C doc DESTDIR="${D}" muttrc.man
                # make the fake slightly better, bug #413405
                sed -e 's#@docdir@/manual.txt#http://www.mutt.org/doc/manual/#' \
                        -e 's#in @docdir@,#at http://www.mutt.org/,#' \
                        -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
                        -e "s#@bindir@#${EPREFIX}/usr/bin#" \
                        doc/mutt.man > neomutt.1 || die
                cp doc/muttrc.man neomuttrc.5 || die
                doman neomutt.1 neomuttrc.5
        else
                # nuke manpages that should be provided by an MTA, bug #177605
                rm "${ED}"/usr/share/man/man5/{mbox,mmdf}.5 \
                        || ewarn "failed to remove files, please file a bug"
        fi

        dodoc COPYRIGHT ChangeLog* OPS* README*
}

--
Nicolas Bock <[hidden email]>

signature.asc (1000 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Michał Górny-5
On czw, 2017-08-10 at 06:58 +0200, Nicolas Bock wrote:

> On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
> > Hi,
> >
> > I would like to add neomutt to the tree. This new package is meant as
> > an alternative and not a replacement of the existing mutt package.
>
> Thanks for all of the great suggestions and feedback!
>
> This is round two. I have update the ebuild with all your
> suggestions. I have also added support for eselecting between mutt
> and neomutt. Before the eselect ebuild can land though, we need to
> rename the mutt binary so that the managed link can be called
> mutt.
What for? How many people are exactly in the dire need of having both
installed simultaneously and switching between them? If you really can't
learn to type the new command, add IUSE=symlink blocking original mutt
and be done with it. Don't add more unowned files to /usr by another
poorly written eselect module.

> # Copyright 1999-2017 Gentoo Foundation
> # Distributed under the terms of the GNU General Public License v2
>
> EAPI=6
>
> inherit autotools eutils flag-o-matic
>
> if [[ ${PV} == 99999999 ]] ; then
> # live ebuild
> inherit git-r3
> EGIT_REPO_URI="https://github.com/neomutt/neomutt.git"
> EGIT_CHECKOUT_DIR="${WORKDIR}/neomutt-${P}"
> KEYWORDS=""
This is going to confuse the hell out of ekeyword.

> else
> SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
> KEYWORDS="~amd64 ~x86"
> fi
>
> DESCRIPTION="Teaching an Old Dog New Tricks"

This doesn't tell anybody who doesn't know mutt what this is.

> HOMEPAGE="https://www.neomutt.org/"
>
> LICENSE="GPL-2"
> SLOT="0"
> IUSE="berkdb crypt debug doc gdbm gnutls gpg idn kerberos libressl mbox
> nls notmuch qdbm sasl selinux slang smime ssl tokyocabinet kyotocabinet
> lmdb"

Sort lexically.

>
> CDEPEND="
> app-eselect/eselect-mutt
> app-misc/mime-types
> nls? ( virtual/libintl )
> tokyocabinet?  ( dev-db/tokyocabinet )
> qdbm?  ( dev-db/qdbm )
> gdbm?  ( sys-libs/gdbm )
> berkdb? ( >=sys-libs/db-4:= )
> kyotocabinet? ( dev-db/kyotocabinet )
> lmdb? ( dev-db/lmdb )
> gnutls?  ( >=net-libs/gnutls-1.0.17 )
> !gnutls? (
> ssl? (
> !libressl? ( >=dev-libs/openssl-0.9.6:0 )
> libressl? ( dev-libs/libressl )
> )
> )
This is not a correct use of 'ssl' flag:

 global:ssl: Add support for Secure Socket Layer connections

It's supposed to go top-level, above any implementation flags.

> sasl?    ( >=dev-libs/cyrus-sasl-2 )
> kerberos? ( virtual/krb5 )
> idn?     ( net-dns/libidn )
> gpg?     ( >=app-crypt/gpgme-0.9.0 )
> smime?   (
> !libressl? ( >=dev-libs/openssl-0.9.6:0 )
> libressl? ( dev-libs/libressl )

What is the point of preferring gnutls when USE=smime pulls openssl
anyway?

> )
> notmuch? ( net-mail/notmuch )
> slang? ( sys-libs/slang )
> !slang? ( >=sys-libs/ncurses-5.2:0 )

Why not = slotop? ncurses definitely changed ABI in the past. It's
something you are supposed to use when needed, not when repoman
complains about it and you didn't accidentally workaround the check.

Sorting this would also help reviews.

> "
> DEPEND="${CDEPEND}
> net-mail/mailbase
> doc? (
> dev-libs/libxml2
> dev-libs/libxslt
> app-text/docbook-xsl-stylesheets
> || ( www-client/lynx www-client/w3m www-client/elinks )
> )"
> RDEPEND="${CDEPEND}
> selinux? ( sec-policy/selinux-mutt )
> "
>
> S="${WORKDIR}/${PN}-${P}"
>
> src_prepare() {
> eapply "${FILESDIR}/0001-Rename-mutt-to-neomutt.patch"
> eapply_user
> AT_M4DIR="m4" eautoreconf
> }
>
> src_configure() {
> local myconf=(
> "$(use_enable crypt pgp)"
> "$(use_enable debug)"
> "$(use_enable doc)"
> "$(use_enable gpg gpgme)"
> "$(use_enable nls)"
> "$(use_enable smime)"
> "$(use_enable notmuch)"
> "$(use_with idn)"
> "$(use_with kerberos gss)"
> "$(use_with sasl)"
> "$(use_with tokyocabinet)"
> "$(use_with kyotocabinet)"
> "$(use_with qdbm)"
> "$(use_with gdbm)"
> "$(use_with berkdb bdb)"
> "$(use_with lmdb)"
> "--with-$(use slang && echo slang || echo curses)=${EPREFIX}/usr"
usex

> "--sysconfdir=${EPREFIX}/etc/${PN}"

I'd really prefer if you didn't abuse PN to construct paths, and make me
wonder if upstream really wants 'neomutt' or 'mutt' here.

> "--with-docdir=${EPREFIX}/usr/share/doc/${PN}-${PVR}"

PF?

> )
>
> if [[ ${CHOST} == *-solaris* ]] ; then
> # arrows in index view do not show when using wchar_t
> myconf+=( "--without-wc-funcs" )
> fi

Are you sure that this still applies?

>
> # there's no need for gnutls, ssl or sasl without socket support

What is this comment supposed to mean? Looks like copy-paste without
even reading it.

> if use gnutls; then
> myconf+=( "--with-gnutls" )
> elif use ssl; then
> myconf+=( "--with-ssl" )
> fi
>
> if use mbox; then
> myconf+=( "--with-mailpath=${EPREFIX}/var/spool/mail" )
> else
> myconf+=( "--with-homespool=Maildir" )
> fi
Would configuring both paths do any harm? Maybe it'd make easier for
user to switch without having to rebuild it.

>
> econf "${myconf[@]}"
> }
>
> src_install() {
> emake DESTDIR="${D}" install
> if use mbox; then
> insinto /etc/${PN}

You can move the insinto above the 'if'.

> newins "${FILESDIR}"/Muttrc.mbox Muttrc
> else
> insinto /etc/${PN}
> doins "${FILESDIR}"/Muttrc
> fi
>
> # A newer file is provided by app-misc/mime-types. So we link it.
> rm "${ED}"/etc/${PN}/mime.types || die
> dosym /etc/mime.types /etc/${PN}/mime.types

Don't use absolute symlinks.

>
> # A man-page is always handy, so fake one
> if use !doc; then
> emake -C doc DESTDIR="${D}" muttrc.man

Is DESTDIR really necessary here?

> # make the fake slightly better, bug #413405
> sed -e 's#@docdir@/manual.txt#http://www.mutt.org/doc/manual/#' \
> -e 's#in @docdir@,#at http://www.mutt.org/,#' \

You sure you want to link to the original mutt.org?

> -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
> -e "s#@bindir@#${EPREFIX}/usr/bin#" \
> doc/mutt.man > neomutt.1 || die
> cp doc/muttrc.man neomuttrc.5 || die
> doman neomutt.1 neomuttrc.5
> else
> # nuke manpages that should be provided by an MTA, bug #177605
> rm "${ED}"/usr/share/man/man5/{mbox,mmdf}.5 \
> || ewarn "failed to remove files, please file a bug"

die.

> fi
>
> dodoc COPYRIGHT ChangeLog* OPS* README*
> }
>

--
Best regards,
Michał Górny

signature.asc (1007 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Fabian Groffen-2
On 10-08-2017 09:40:30 +0200, Michał Górny wrote:

> On czw, 2017-08-10 at 06:58 +0200, Nicolas Bock wrote:
> > On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
> > > Hi,
> > >
> > > I would like to add neomutt to the tree. This new package is meant as
> > > an alternative and not a replacement of the existing mutt package.
> >
> > Thanks for all of the great suggestions and feedback!
> >
> > This is round two. I have update the ebuild with all your
> > suggestions. I have also added support for eselecting between mutt
> > and neomutt. Before the eselect ebuild can land though, we need to
> > rename the mutt binary so that the managed link can be called
> > mutt.
>
> What for? How many people are exactly in the dire need of having both
> installed simultaneously and switching between them? If you really can't
> learn to type the new command, add IUSE=symlink blocking original mutt
> and be done with it. Don't add more unowned files to /usr by another
> poorly written eselect module.
Be nice!  No need to be bitchy here (and in the rest of your review).
Nicolas is just trying.

Me, as maintainer of Mutt, thought it was a good idea, because it allows
people to easily have both installed at the same time, which in this
interesting time for both projects is not a weird thing to have.

If there is a policy/move to get rid of eselect, then sorry, I am not
aware of that.  I can live with a symlink USE-flag.  It doesn't seem
very elegant to me, but it would work for this scenario.


Thanks,
Fabian

--
Fabian Groffen
Gentoo on a different level

signature.asc (201 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Michał Górny-5
On czw, 2017-08-10 at 09:54 +0200, Fabian Groffen wrote:

> On 10-08-2017 09:40:30 +0200, Michał Górny wrote:
> > On czw, 2017-08-10 at 06:58 +0200, Nicolas Bock wrote:
> > > On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
> > > > Hi,
> > > >
> > > > I would like to add neomutt to the tree. This new package is meant as
> > > > an alternative and not a replacement of the existing mutt package.
> > >
> > > Thanks for all of the great suggestions and feedback!
> > >
> > > This is round two. I have update the ebuild with all your
> > > suggestions. I have also added support for eselecting between mutt
> > > and neomutt. Before the eselect ebuild can land though, we need to
> > > rename the mutt binary so that the managed link can be called
> > > mutt.
> >
> > What for? How many people are exactly in the dire need of having both
> > installed simultaneously and switching between them? If you really can't
> > learn to type the new command, add IUSE=symlink blocking original mutt
> > and be done with it. Don't add more unowned files to /usr by another
> > poorly written eselect module.
>
> Be nice!  No need to be bitchy here (and in the rest of your review).
> Nicolas is just trying.
>
> Me, as maintainer of Mutt, thought it was a good idea, because it allows
> people to easily have both installed at the same time, which in this
> interesting time for both projects is not a weird thing to have.
I don't see how eselect helps that. People can just run neomutt by
typing... neomutt, right? It works without the symlink, right?

> If there is a policy/move to get rid of eselect, then sorry, I am not
> aware of that.  I can live with a symlink USE-flag.  It doesn't seem
> very elegant to me, but it would work for this scenario.
>

The move is against orphaned files in /usr that are randomly changed by
runtime tools rather than the package manager.

--
Best regards,
Michał Górny

signature.asc (1007 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Nicolas Bock-2
On Thu, Aug 10, 2017 at 10:10:04AM +0200, Michał Górny wrote:

>On czw, 2017-08-10 at 09:54 +0200, Fabian Groffen wrote:
>> On 10-08-2017 09:40:30 +0200, Michał Górny wrote:
>> > On czw, 2017-08-10 at 06:58 +0200, Nicolas Bock wrote:
>> > > On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
>> > > > Hi,
>> > > >
>> > > > I would like to add neomutt to the tree. This new package is meant as
>> > > > an alternative and not a replacement of the existing mutt package.
>> > >
>> > > Thanks for all of the great suggestions and feedback!
>> > >
>> > > This is round two. I have update the ebuild with all your
>> > > suggestions. I have also added support for eselecting between mutt
>> > > and neomutt. Before the eselect ebuild can land though, we need to
>> > > rename the mutt binary so that the managed link can be called
>> > > mutt.
>> >
>> > What for? How many people are exactly in the dire need of having both
>> > installed simultaneously and switching between them? If you really can't
>> > learn to type the new command, add IUSE=symlink blocking original mutt
>> > and be done with it. Don't add more unowned files to /usr by another
>> > poorly written eselect module.
>>
>> Be nice!  No need to be bitchy here (and in the rest of your review).
>> Nicolas is just trying.
>>
>> Me, as maintainer of Mutt, thought it was a good idea, because it allows
>> people to easily have both installed at the same time, which in this
>> interesting time for both projects is not a weird thing to have.
>
>I don't see how eselect helps that. People can just run neomutt by
>typing... neomutt, right? It works without the symlink, right?
It does of course. What's appropriate here depends on whether we
think somebody might want to have both mutt and neomutt installed
at the same time. If we don't allow this use case, we don't have
to worry about eselect and the neomutt binary will be called
'mutt' (as it is called by upstream already). If we do allow this
use case, being able to eselect makes sense because then the
binary is still always called 'mutt'.

>> If there is a policy/move to get rid of eselect, then sorry, I am not
>> aware of that.  I can live with a symlink USE-flag.  It doesn't seem
>> very elegant to me, but it would work for this scenario.
>>
>
>The move is against orphaned files in /usr that are randomly changed by
>runtime tools rather than the package manager.

I don't quite understand the problem. Doesn't the package manager
take care of symlinks installed by the eselect package?

>--
>Best regards,
>Michał Górny



--
Nicolas Bock <[hidden email]>

signature.asc (1000 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Marc Schiffbauer
* Nicolas Bock schrieb am 10.08.17 um 11:35 Uhr:
> It does of course. What's appropriate here depends on whether we
> think somebody might want to have both mutt and neomutt installed
> at the same time. If we don't allow this use case, we don't have
> to worry about eselect and the neomutt binary will be called
> 'mutt' (as it is called by upstream already). If we do allow this
> use case, being able to eselect makes sense because then the
> binary is still always called 'mutt'.

Why not just have mutt and/or neomutt for both packages? Whoever only
wants neomutt and run it with 'mutt' can "alias mutt=neomutt" and be
done.

Having en eselect module here is not really KISS and looks a bit like
bloat to me which make things more complicated than they have to be.

Just my 2¢

--
0xCA3E7BF67F979BE5 - F7FB 78F7 7CC3 79F6 DF07
                     6E9E CA3E 7BF6 7F97 9BE5

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Fabian Groffen-2
On 10-08-2017 14:13:29 +0200, Marc Schiffbauer wrote:

> * Nicolas Bock schrieb am 10.08.17 um 11:35 Uhr:
> > It does of course. What's appropriate here depends on whether we
> > think somebody might want to have both mutt and neomutt installed
> > at the same time. If we don't allow this use case, we don't have
> > to worry about eselect and the neomutt binary will be called
> > 'mutt' (as it is called by upstream already). If we do allow this
> > use case, being able to eselect makes sense because then the
> > binary is still always called 'mutt'.
>
> Why not just have mutt and/or neomutt for both packages? Whoever only
> wants neomutt and run it with 'mutt' can "alias mutt=neomutt" and be
> done.
Both packages install /usr/bin/mutt by upstream's default (because
neomutt is supposed to be a drop-in replacement of mutt).

Thanks,
Fabian

--
Fabian Groffen
Gentoo on a different level

signature.asc (201 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Michał Górny-5
In reply to this post by Nicolas Bock-2
On czw, 2017-08-10 at 11:35 +0200, Nicolas Bock wrote:

> On Thu, Aug 10, 2017 at 10:10:04AM +0200, Michał Górny wrote:
> > On czw, 2017-08-10 at 09:54 +0200, Fabian Groffen wrote:
> > > On 10-08-2017 09:40:30 +0200, Michał Górny wrote:
> > > > On czw, 2017-08-10 at 06:58 +0200, Nicolas Bock wrote:
> > > > > On Mon, Jul 31, 2017 at 09:11:19AM +0200, Nicolas Bock wrote:
> > > > > > Hi,
> > > > > >
> > > > > > I would like to add neomutt to the tree. This new package is meant as
> > > > > > an alternative and not a replacement of the existing mutt package.
> > > > >
> > > > > Thanks for all of the great suggestions and feedback!
> > > > >
> > > > > This is round two. I have update the ebuild with all your
> > > > > suggestions. I have also added support for eselecting between mutt
> > > > > and neomutt. Before the eselect ebuild can land though, we need to
> > > > > rename the mutt binary so that the managed link can be called
> > > > > mutt.
> > > >
> > > > What for? How many people are exactly in the dire need of having both
> > > > installed simultaneously and switching between them? If you really can't
> > > > learn to type the new command, add IUSE=symlink blocking original mutt
> > > > and be done with it. Don't add more unowned files to /usr by another
> > > > poorly written eselect module.
> > >
> > > Be nice!  No need to be bitchy here (and in the rest of your review).
> > > Nicolas is just trying.
> > >
> > > Me, as maintainer of Mutt, thought it was a good idea, because it allows
> > > people to easily have both installed at the same time, which in this
> > > interesting time for both projects is not a weird thing to have.
> >
> > I don't see how eselect helps that. People can just run neomutt by
> > typing... neomutt, right? It works without the symlink, right?
>
> It does of course. What's appropriate here depends on whether we
> think somebody might want to have both mutt and neomutt installed
> at the same time. If we don't allow this use case, we don't have
> to worry about eselect and the neomutt binary will be called
> 'mutt' (as it is called by upstream already). If we do allow this
> use case, being able to eselect makes sense because then the
> binary is still always called 'mutt'.
Considering that mutt has no revdeps, I doubt there's really any problem
with 'just' calling it neomutt in Gentoo. In fact, it would be probably
less confusing to the new users who do not expect it to be named 'mutt'.

> > > If there is a policy/move to get rid of eselect, then sorry, I am not
> > > aware of that.  I can live with a symlink USE-flag.  It doesn't seem
> > > very elegant to me, but it would work for this scenario.
> > >
> >
> > The move is against orphaned files in /usr that are randomly changed by
> > runtime tools rather than the package manager.
>
> I don't quite understand the problem. Doesn't the package manager
> take care of symlinks installed by the eselect package?
>
It can't take care of /usr/bin/mutt symlink that will be edited by
eselect. People with /usr read-only will have to establish yet another
workaround to make this work.

--
Best regards,
Michał Górny

signature.asc (1007 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: New package neomutt

Michał Górny-5
In reply to this post by Fabian Groffen-2
On czw, 2017-08-10 at 14:16 +0200, Fabian Groffen wrote:

> On 10-08-2017 14:13:29 +0200, Marc Schiffbauer wrote:
> > * Nicolas Bock schrieb am 10.08.17 um 11:35 Uhr:
> > > It does of course. What's appropriate here depends on whether we
> > > think somebody might want to have both mutt and neomutt installed
> > > at the same time. If we don't allow this use case, we don't have
> > > to worry about eselect and the neomutt binary will be called
> > > 'mutt' (as it is called by upstream already). If we do allow this
> > > use case, being able to eselect makes sense because then the
> > > binary is still always called 'mutt'.
> >
> > Why not just have mutt and/or neomutt for both packages? Whoever only
> > wants neomutt and run it with 'mutt' can "alias mutt=neomutt" and be
> > done.
>
> Both packages install /usr/bin/mutt by upstream's default (because
> neomutt is supposed to be a drop-in replacement of mutt).
>
...which probably makes sense if you treat is as a continuation of mail-
client/mutt package. However, since we package it separately, using
the same name is going to create more confusion than renaming it to
match the package name.

If I install 'dev-foo/foobar', I usually expect to find the program name
'foobar', not just 'bar'.

--
Best regards,
Michał Górny

signature.asc (1007 bytes) Download Attachment
12